<?php 
namespace App\Entities\Endereco;

use App\Entities\CEP\CEP;
use App\Models\EnderecoModel;
use App\Utils\Entity;

class Endereco extends Entity {
	protected $id;
	protected $cep;
	protected $numero;
	protected $complemento;
	protected $referencias;

	public static function builder(): EnderecoBuilder {

		return new EnderecoBuilder();

	}

	public function getId(): int {

		return $this->id;

	}

	public function getCep(): string {

		return $this->cep;

	}

	public function getNumero(): string {

		return $this->numero;

	}

	public function getComplemento(): string {

		return $this->complemento;

	}

	public function getReferencias(): string {

		return $this->referencias;

	}

	public function setId(int $id): void {

		$this->id = $id;

	}

	public function setCep(string $cep): void {

		$this->cep = $cep;

	}

	public function setNumero(string $numero): void {

		$this->numero = $numero;

	}

	public function setComplemento(string $complemento): void {

		$this->complemento = $complemento;

	}

	public function setReferencias(string $referencias): void {

		$this->referencias = $referencias;

	}

}